---
kind: pipeline
name: release
trigger:
  event:
    - push
  branch:
    - main
steps:
  - name: build
    pull: always
    image: node:14
    commands:
      - npm install
      - npm run webfonts
      - npm run sass
      - npm run dist
  - name: archive
    pull: always
    image: jolheiser/drone-arc:latest
    settings:
      files:
        - "dist/*"
      output: dist.tar.gz
  - name: gitea-release
    pull: always
    image: jolheiser/drone-gitea-main:latest
    settings:
      token:
        from_secret: gitea_token
      base: https://git.etztech.xyz
      files:
        - "dist.tar.gz"